Subject: Re: SIGTERM does not stop backend postgres processes immediately
From: "Robert Collins" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 11 May 2001 09:09:28 +1000

----- Original Message -----
From: "Christopher Faylor" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, May 11, 2001 4:07 AM
Subject: Re: SIGTERM does not stop backend postgres processes
immediately

>
> I'll bet the the Open Group would imply that a signal does not close
> a socket if you are blocked in a recv() call, too.
>
> I don't know why you are getting the impression that I'm passing down
> an edict.  I'm always open to methods for getting Cygwin to work
> more like UNIX.  I don't see how closing the socket can achieve this
> goal, even if you could make it work.

Blueskying a concept here: what about cygwin opening all sockets in
non-blocking mode, and if the app thinks that it is a blocking call wait
on the socket && on a signal event?

Obviously not trivial to get working right, but
a) would it work on 95?
b) thoughts?

Rob

> cgf
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple